## Apache Zeta Components Manual :: Docs For Class ezcDocumentWikiInlineNode

### Document::ezcDocumentWikiInlineNode

### Class ezcDocumentWikiInlineNode

Struct for Wiki document inline abstract syntax tree nodes

Source for this file: /Document/src/document/wiki/nodes/inline.php

    ezcBaseStruct
       |
       --ezcDocumentWikiNode
          |
          --ezcDocumentWikiInlineNode

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentWikiFootnoteEndNode | Struct for Wiki document inline footnote end syntax tree nodes
ezcDocumentWikiLinkNode | Struct for Wiki document inline link syntax tree nodes
ezcDocumentWikiInvisibleBreakNode | Struct for Wiki document abstract syntax tree title nodes
ezcDocumentWikiInterWikiLinkNode | Struct for Wiki document inline inter wiki link syntax tree nodes
ezcDocumentWikiLinkEndNode | Struct for Wiki document inline link end syntax tree nodes
ezcDocumentWikiMatchingInlineNode | Struct for Wiki document inline abstract syntax tree nodes
ezcDocumentWikiExternalLinkNode | Struct for Wiki document inline external link syntax tree nodes
ezcDocumentWikiSeparatorNode | Struct for Wiki document inline seperator syntax tree nodes
ezcDocumentWikiLineBreakNode | Struct for Wiki document inline intentional line break syntax tree nodes
ezcDocumentWikiFootnoteNode | Struct for Wiki document inline footnote syntax tree nodes
ezcDocumentWikiImageEndNode | Struct for Wiki document inline image end syntax tree nodes
ezcDocumentWikiInternalLinkNode | Struct for Wiki document inline internal link syntax tree nodes
ezcDocumentWikiInlineLiteralNode | Struct for Wiki document inline literal syntax tree nodes
ezcDocumentWikiImageNode | Struct for Wiki document inline image syntax tree nodes
ezcDocumentWikiTextNode | Struct for Wiki document abstract syntax tree text nodes

### Inherited Member Variables

From ezcDocumentWikiNode
public | `ezcDocumentWikiNode::$line`
public | `ezcDocumentWikiNode::$nodes`
public | `ezcDocumentWikiNode::$position`
public | `ezcDocumentWikiNode::$token`

### Inherited Methods

From ezcDocumentWikiNode
public void | `ezcDocumentWikiNode::__construct()` Construct Wiki node

Documentation generated by phpDocumentor 1.4.3